summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVincent Sanders <vince@kyllikki.org>2016-10-08 19:32:15 (GMT)
committer Vincent Sanders <vince@kyllikki.org>2016-10-08 19:32:15 (GMT)
commit22d917c92d3f49379a57bad3dcd4b87817717848 (patch)
treecdbd1975ced676e8c1ab081bcb68d5ae69b1b5e7
parentd8dd2e245704144bae938497643d9d8bc828ebf0 (diff)
downloadnetsurf-22d917c92d3f49379a57bad3dcd4b87817717848.tar.gz
netsurf-22d917c92d3f49379a57bad3dcd4b87817717848.tar.bz2
allow gtk3 target in CI system
-rwxr-xr-xutils/jenkins-build.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/utils/jenkins-build.sh b/utils/jenkins-build.sh
index 20808b3..b6ca21d 100755
--- a/utils/jenkins-build.sh
+++ b/utils/jenkins-build.sh
@@ -207,6 +207,39 @@ case ${TARGET} in
;;
+ "gtk3")
+ case ${HOST} in
+ "x86_64-linux-gnu")
+ ;;
+
+ "arm-linux-gnueabihf")
+ ;;
+
+ "aarch64-linux-gnu")
+ ;;
+
+ amd64-unknown-openbsd*)
+ MAKE=gmake
+ ;;
+
+ x86_64-unknown-freebsd*)
+ MAKE=gmake
+ ;;
+
+ *)
+ echo "Target \"${TARGET}\" cannot be built on \"${HOST}\""
+ exit 1
+ ;;
+
+ esac
+
+ IDENTIFIER="${HOST}-${IDENTIFIER}"
+ OLD_IDENTIFIER="${HOST}-${OLD_IDENTIFIER}"
+ PKG_SRC=nsgtk3
+ PKG_SFX=
+ ;;
+
+
"framebuffer")
case ${HOST} in
"x86_64-linux-gnu")